#

Function LIST-ALL-PACKAGES

Syntax:

list-all-packages <no arguments> => packages

Arguments and Values:

packages---a list of package objects.

Description:

list-all-packages returns a fresh list of all registered packages.

Examples:

     (let ((before (list-all-packages)))
        (make-package 'temp)
        (set-difference (list-all-packages) before)) =>  (#<PACKAGE "TEMP">)

Side Effects: None.

Affected By:

defpackage, delete-package, make-package

Exceptional Situations: None.

See Also: None.

Notes: None.

The following X3J13 cleanup issues, not part of the specification, apply to this section:

- PACKAGE-DELETION:NEW-FUNCTION
- RESULT-LISTS-SHARED:SPECIFY

Copyright 1996-2005, LispWorks Ltd. All rights reserved.